Subject: Re: [PATCH v2 00/10] CMA: generalize CMA reserved area management code

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sat, 14 Jun 2014 12:55:39 +0530

Joonsoo Kim <[email-masked]> writes:

> Currently, there are two users on CMA functionality, one is the DMA
> subsystem and the other is the kvm on powerpc. They have their own code
> to manage CMA reserved area even if they looks really similar.
> From my guess, it is caused by some needs on bitmap management. Kvm side
> wants to maintain bitmap not for 1 page, but for more size. Eventually it
> use bitmap where one bit represents 64 pages.
>
> When I implement CMA related patches, I should change those two places
> to apply my change and it seem to be painful to me. I want to change
> this situation and reduce future code management overhead through
> this patch.
>
> This change could also help developer who want to use CMA in their
> new feature development, since they can use CMA easily without
> copying & pasting this reserved area management code.
>
> v2:
>   Although this patchset looks very different with v1, the end result,
>   that is, mm/cma.c is same with v1's one. So I carry Ack to patch 6-7.
>
> Patch 1-5 prepare some features to cover ppc kvm's requirements.
> Patch 6-7 generalize CMA reserved area management code and change users
> to use it.
> Patch 8-10 clean-up minor things.

I wanted to test the ppc changes and found that the patch series doesn't apply
against v3.15 . Do you have a kernel tree which I can clone to test this
series ?